Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRHyperlinkTargetProducerFactory

    java.lang.Object
      net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerFactory

Direct Known Subclasses:
  DefaultHyperlinkTargetProducerFactory, JRHyperlinkTargetProducerMapFactory

    public abstract class JRHyperlinkTargetProducerFactory

extends java.lang.Object

An abstract factory of `hyperlink target producers`.

The factory is responsible for returning a hyperlink target producer for a custom hyperlink type.

Version:
  $Id: JRHyperlinkTargetProducerFactory.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRHyperlinkTargetProducerFactory()`

Method Summary
`abstract JRHyperlinkTargetProducer` | `getHyperlinkTargetProducer(java.lang.String linkTarget)` Returns the hyperlink target producer associated with a specific hyperlink target.
`java.lang.String` | `produceHyperlinkTarget(JRPrintHyperlink hyperlink)` Generates the String hyperlink target for a hyperlink instance based on its type and on the associated hyperlink target producer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRHyperlinkTargetProducerFactory

    public JRHyperlinkTargetProducerFactory()

Method Detail

### getHyperlinkTargetProducer

    public abstract JRHyperlinkTargetProducer getHyperlinkTargetProducer(java.lang.String linkTarget)

  Returns the hyperlink target producer associated with a specific hyperlink target.

  Parameters:
    `linkTarget` - the hyperlink target
  Returns:
    an associated hyperlink target producer, or `null` when none associated

### produceHyperlinkTarget

    public java.lang.String produceHyperlinkTarget(JRPrintHyperlink hyperlink)

  Generates the String hyperlink target for a hyperlink instance based on its type and on the associated hyperlink target producer.

  Parameters:
    `hyperlink` - the hyperlink instance
  Returns:
    the genereated String hyperlink target
  See Also:
    `JRHyperlinkTargetProducer.getHyperlinkTarget(JRPrintHyperlink)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com